<?php
// Copyright Lab17 Marek Niemczyk, https://podlewaj.pl, 2020
require "gpio.class.php";


function getAction($params)
{
	try {
		$gpio = new Gpio();
		$pins = explode(",", $params['pinNumbers']);
		$pinArray = array();
		foreach ($pins as $pin) {
			$pinArray[] = intval($pin);
		}

		$state = $gpio->getGpio($pinArray);
		header("Content-Type: application/json");
		echo json_encode($state);

	} catch (Exception $ex) {
		header("HTTP/1.0 400 " . $ex->getMessage());
	}
}

function postAction($params)
{
	try {
		$pin = intval($params['pin']);
		$state = intval($params['state']);

		$gpio = new Gpio();

		$gpio->setGpio($pin, $state);
	} catch (Exception $ex){
		header("HTTP/1.0 400 " . $ex->getMessage());
	}
}

if (isset($_GET) && is_array($_GET) && count($_GET) > 0) {
	getAction($_GET);
} else if (isset($_POST) && is_array($_POST) && count($_POST) > 0) {
	postAction($_POST);
}
